Bug 1564402 - [abrt] queue_work_on: WARNING: CPU: 6 PID: 1005 at kernel/workqueue.c:1444 __queue_work+0x33a/0x3e0
Summary: [abrt] queue_work_on: WARNING: CPU: 6 PID: 1005 at kernel/workqueue.c:1444 __...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ec08ae2f2a5b1e0ae7ef464a075...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 07:48 UTC by Ilon Sjögren
Modified: 2018-08-11 03:25 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:21:36 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (86.56 KB, text/plain)
2018-04-06 07:48 UTC, Ilon Sjögren
no flags Details

Description Ilon Sjögren 2018-04-06 07:48:44 UTC
Description of problem:
I were upgrading the system both with new kernel, some other packages as well as BIOS and Intel ME firmware updates.
Unclear how to reproduce due to the many changes at once involved.

Had to reboot in order to be able to login to gnome (wayland), first attemt the login screen "froze" with the actual login fields gone, computer were still responsive tho.

Additional info:
reporter:       libreport-2.9.1
WARNING: CPU: 6 PID: 1005 at kernel/workqueue.c:1444 __queue_work+0x33a/0x3e0
Modules linked in: intel_rapl iwlwifi x86_pkg_temp_thermal intel_powerclamp dell_rbtn coretemp cfg80211 iTCO_wdt iTCO_vendor_support mei_wdt kvm_intel snd_hda_codec_realtek(+) snd_hda_codec_generic kvm dell_laptop(+) dell_smbios_smm dcdbas rtsx_pci_ms snd_hda_intel ipmi_devintf dell_smm_hwmon ipmi_msghandler memstick irqbypass intel_cstate snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device btusb snd_pcm intel_uncore btrtl btbcm btintel intel_rapl_perf bluetooth uvcvideo snd_timer videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev dell_smbios_wmi dell_wmi dell_smbios snd wmi_bmof joydev soundcore media i2c_i801 intel_wmi_thunderbolt dell_wmi_descriptor mei_me idma64 ecdh_generic rfkill mei intel_lpss_pci processor_thermal_device shpchp intel_pch_thermal
 intel_lpss intel_soc_dts_iosf intel_hid int3402_thermal int3403_thermal sparse_keymap int3400_thermal int340x_thermal_zone acpi_thermal_rel acpi_pad binfmt_misc dm_crypt hid_multitouch i915 rtsx_pci_sdmmc mmc_core mxm_wmi i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel nvme drm ghash_clmulni_intel nvme_core serio_raw rtsx_pci i2c_hid wmi video
CPU: 6 PID: 1005 Comm: systemd-backlig Not tainted 4.15.14-200.fc26.x86_64 #1
Hardware name: Dell Inc. Precision 5510/0N8J4R, BIOS 1.6.1 12/11/2017
RIP: 0010:__queue_work+0x33a/0x3e0
RSP: 0018:ffffbded03c8fd80 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffffffff9714e400 RCX: 0000000000000000
RDX: ffffffffc098c0d8 RSI: 0000000000000000 RDI: ffff9d073dda0380
RBP: ffff9d071d018c00 R08: ffff9d071cc03d98 R09: ffff9d073dc20380
R10: 0000000000000000 R11: 0000000000000040 R12: 0000000000000006
R13: 0000000000000400 R14: ffffffffc098c0d0 R15: ffff9d073dda5500
FS:  00007f217914c9c0(0000) GS:ffff9d073dd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000555e2acee5d8 CR3: 00000008940d0001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 queue_work_on+0x33/0x40
 brightness_store+0x6d/0xb0
 kernfs_fop_write+0x10f/0x190
 __vfs_write+0x36/0x180
 ? selinux_file_permission+0x116/0x130
 ? security_file_permission+0x3c/0xb0
 vfs_write+0xad/0x1a0
 SyS_write+0x52/0xc0
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f21789aa280
RSP: 002b:00007ffc5cd0c998 EFLAGS: 00000246 ORIG_RAX: 0000000000000001
RAX: ffffffffffffffda RBX: 00005556f5a6a5d0 RCX: 00007f21789aa280
RDX: 0000000000000001 RSI: 00005556f5a6a5d0 RDI: 0000000000000004
RBP: 00007ffc5cd0ca70 R08: 00005556f5a6a5d0 R09: 0000000000000000
R10: 00005556f5a6a580 R11: 0000000000000246 R12: 0000000000000001
R13: 00005556f5a691c0 R14: 00005556f49c9ae4 R15: 0000000000000004
Code: 3c 25 c0 5b 01 00 f6 47 4c 20 74 18 e8 f0 86 00 00 48 85 c0 74 0e 48 8b 40 20 48 3b 68 08 0f 84 f9 fc ff ff 0f 0b e9 d0 fd ff ff <0f> 0b 49 8b 07 c6 00 00 e9 c3 fd ff ff 83 cd 02 49 8d 57 60 e9 

Potential duplicate: bug 1560713

Comment 1 Ilon Sjögren 2018-04-06 07:48:48 UTC
Created attachment 1417985 [details]
File: dmesg

Comment 2 Fedora End Of Life 2018-05-03 07:52:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:21:36 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.